HyperTrackDocs
Authentication

Create access token

Exchange your `client_id` and `client_secret` for a short-lived bearer token using the OAuth 2.0 `client_credentials` grant. Send the returned `access_token` as `Authorization: Bearer <access_token>` on all API requests.

POST
/oauth/token

Exchange your client_id and client_secret for a short-lived bearer token using the OAuth 2.0 client_credentials grant. Send the returned access_token as Authorization: Bearer <access_token> on all API requests.

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/oauth/token" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'grant_type=client_credentials&client_id=string&client_secret=string'
{  "access_token": "string",  "token_type": "Bearer",  "expires_in": 0}
Empty